#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <myMediaInfo.h>

#include <QFile>


int main(int argc, char *argv[])
{
    QGuiApplication app(argc, argv);

    myMediaInfo mInfo;

    //Check if HDR/DolbyVision
    enum myMediaInfo::HDR hdrType = mInfo.getHDR(__T("Cosmos.mkv"));
    if (hdrType >= 0) {
        qInfo() << hdrType;
    } else {
        qWarning() << "Could not open file.";
    }


    QQmlApplicationEngine engine;
    const QUrl url(u"qrc:/DoViGUI/Main.qml"_qs);
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreationFailed,
        &app, []() { QCoreApplication::exit(-1); },
        Qt::QueuedConnection);
    engine.load(url);

    return app.exec();
}
